Invoices
Get Invoice
Retrieve a single invoice by ID.
GET
/
v1
/
invoices
/
{invoiceId}
Get Invoice
curl --request GET \
--url https://api.monk.com/v1/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.monk.com/v1/invoices/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.monk.com/v1/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"invoiceNumber": "<string>",
"customerId": "<string>",
"contractId": "<string>",
"invoiceDate": "2023-12-25",
"dueDate": "2023-12-25",
"totalCents": 123,
"memo": "<string>",
"paymentLink": "<string>",
"externalIds": [
{
"entityType": "invoice",
"id": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lineItems": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"quantity": 123,
"unitPriceCents": 123,
"totalAmountCents": 123,
"unitPrice": "<string>",
"totalAmount": "<string>",
"servicePeriod": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}Scope:
invoices:readAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Comma-separated list of related resources to include. Supported values: lineItems
Response
Invoice found
Show child attributes
Show child attributes
Previous
Create PricingCreate a pricing configuration. Provide `productId` to attach pricing to an existing product, or `productName` to create a product in the same request.
Next
⌘I
Get Invoice
